## org.eclipse.datatools.modelbase.sql.routines.impl
Class RoutineImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl

All Implemented Interfaces:
  Routine, SQLObject

Direct Known Subclasses:
  FunctionImpl, ProcedureImpl

public abstract class RoutineImpl
extends SQLObjectImpl
implements Routine

An implementation of the model object 'Routine'.

The following features are implemented:

- `Specific Name`
- `Language`
- `Parameter Style`
- `Deterministic`
- `Sql Data Access`
- `Creation TS`
- `Last Altered TS`
- `Authorization ID`
- `Security`
- `External Name`
- `Parameters`
- `Source`
- `Schema`

See Also:
  Serialized Form

Method Summary
`Schema` `basicGetSchema()`
`NotificationChain` `basicSetSchema(Schema newSchema, NotificationChain msgs)`
`NotificationChain` `basicSetSource(Source newSource, NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`java.lang.String` `getAuthorizationID()`
`java.lang.String` `getCreationTS()`
`java.lang.String` `getExternalName()`
`EList` `getInputParameters()` Gets a list of IN and INOUT parameters associated with this routine.
`java.lang.String` `getLanguage()`
`java.lang.String` `getLastAlteredTS()`
`EList` `getOutputParameters()` Gets a list of OUT and INOUT parameters associated with this routine.
`EList` `getParameters()`
`java.lang.String` `getParameterStyle()`
`Schema` `getSchema()`
`java.lang.String` `getSecurity()`
`Source` `getSource()`
`java.lang.String` `getSpecificName()`
`DataAccess` `getSqlDataAccess()`
`boolean` `isDeterministic()`
`void` `setAuthorizationID(java.lang.String newAuthorizationID)`
`void` `setCreationTS(java.lang.String newCreationTS)`
`void` `setDeterministic(boolean newDeterministic)`
`void` `setExternalName(java.lang.String newExternalName)`
`void` `setLanguage(java.lang.String newLanguage)`
`void` `setLastAlteredTS(java.lang.String newLastAlteredTS)`
`void` `setParameterStyle(java.lang.String newParameterStyle)`
`void` `setSchema(Schema newSchema)`
`void` `setSecurity(java.lang.String newSecurity)`
`void` `setSource(Source newSource)`
`void` `setSpecificName(java.lang.String newSpecificName)`
`void` `setSqlDataAccess(DataAccess newSqlDataAccess)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSpecificName

    public java.lang.String getSpecificName()

  Specified by:
    `getSpecificName` in interface `Routine`
  Returns:
    the value of the 'Specific Name' attribute.
  See Also:
    `Routine.setSpecificName(String)`, `SQLRoutinesPackage.getRoutine_SpecificName()`

### setSpecificName

    public void setSpecificName(java.lang.String newSpecificName)

  Specified by:
    `setSpecificName` in interface `Routine`
  Parameters:
    `newSpecificName` - the new value of the 'Specific Name' attribute.
  See Also:
    `Routine.getSpecificName()`

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    `getLanguage` in interface `Routine`
  Returns:
    the value of the 'Language' attribute.
  See Also:
    `Routine.setLanguage(String)`, `SQLRoutinesPackage.getRoutine_Language()`

### setLanguage

    public void setLanguage(java.lang.String newLanguage)

  Specified by:
    `setLanguage` in interface `Routine`
  Parameters:
    `newLanguage` - the new value of the 'Language' attribute.
  See Also:
    `Routine.getLanguage()`

### getParameterStyle

    public java.lang.String getParameterStyle()

  Specified by:
    `getParameterStyle` in interface `Routine`
  Returns:
    the value of the 'Parameter Style' attribute.
  See Also:
    `Routine.setParameterStyle(String)`, `SQLRoutinesPackage.getRoutine_ParameterStyle()`

### setParameterStyle

    public void setParameterStyle(java.lang.String newParameterStyle)

  Specified by:
    `setParameterStyle` in interface `Routine`
  Parameters:
    `newParameterStyle` - the new value of the 'Parameter Style' attribute.
  See Also:
    `Routine.getParameterStyle()`

### isDeterministic

    public boolean isDeterministic()

  Specified by:
    `isDeterministic` in interface `Routine`
  Returns:
    the value of the 'Deterministic' attribute.
  See Also:
    `Routine.setDeterministic(boolean)`, `SQLRoutinesPackage.getRoutine_Deterministic()`

### setDeterministic

    public void setDeterministic(boolean newDeterministic)

  Specified by:
    `setDeterministic` in interface `Routine`
  Parameters:
    `newDeterministic` - the new value of the 'Deterministic' attribute.
  See Also:
    `Routine.isDeterministic()`

### getSqlDataAccess

    public DataAccess getSqlDataAccess()

  Specified by:
    `getSqlDataAccess` in interface `Routine`
  Returns:
    the value of the 'Sql Data Access' attribute.
  See Also:
    `DataAccess`, `Routine.setSqlDataAccess(DataAccess)`, `SQLRoutinesPackage.getRoutine_SqlDataAccess()`

### setSqlDataAccess

    public void setSqlDataAccess(DataAccess newSqlDataAccess)

  Specified by:
    `setSqlDataAccess` in interface `Routine`
  Parameters:
    `newSqlDataAccess` - the new value of the 'Sql Data Access' attribute.
  See Also:
    `DataAccess`, `Routine.getSqlDataAccess()`

### getCreationTS

    public java.lang.String getCreationTS()

  Specified by:
    `getCreationTS` in interface `Routine`
  Returns:
    the value of the 'Creation TS' attribute.
  See Also:
    `Routine.setCreationTS(String)`, `SQLRoutinesPackage.getRoutine_CreationTS()`

### setCreationTS

    public void setCreationTS(java.lang.String newCreationTS)

  Specified by:
    `setCreationTS` in interface `Routine`
  Parameters:
    `newCreationTS` - the new value of the 'Creation TS' attribute.
  See Also:
    `Routine.getCreationTS()`

### getLastAlteredTS

    public java.lang.String getLastAlteredTS()

  Specified by:
    `getLastAlteredTS` in interface `Routine`
  Returns:
    the value of the 'Last Altered TS' attribute.
  See Also:
    `Routine.setLastAlteredTS(String)`, `SQLRoutinesPackage.getRoutine_LastAlteredTS()`

### setLastAlteredTS

    public void setLastAlteredTS(java.lang.String newLastAlteredTS)

  Specified by:
    `setLastAlteredTS` in interface `Routine`
  Parameters:
    `newLastAlteredTS` - the new value of the 'Last Altered TS' attribute.
  See Also:
    `Routine.getLastAlteredTS()`

### getAuthorizationID

    public java.lang.String getAuthorizationID()

  Specified by:
    `getAuthorizationID` in interface `Routine`
  Returns:
    the value of the 'Authorization ID' attribute.
  See Also:
    `Routine.setAuthorizationID(String)`, `SQLRoutinesPackage.getRoutine_AuthorizationID()`

### setAuthorizationID

    public void setAuthorizationID(java.lang.String newAuthorizationID)

  Specified by:
    `setAuthorizationID` in interface `Routine`
  Parameters:
    `newAuthorizationID` - the new value of the 'Authorization ID' attribute.
  See Also:
    `Routine.getAuthorizationID()`

### getSecurity

    public java.lang.String getSecurity()

  Specified by:
    `getSecurity` in interface `Routine`
  Returns:
    the value of the 'Security' attribute.
  See Also:
    `Routine.setSecurity(String)`, `SQLRoutinesPackage.getRoutine_Security()`

### setSecurity

    public void setSecurity(java.lang.String newSecurity)

  Specified by:
    `setSecurity` in interface `Routine`
  Parameters:
    `newSecurity` - the new value of the 'Security' attribute.
  See Also:
    `Routine.getSecurity()`

### getExternalName

    public java.lang.String getExternalName()

  Specified by:
    `getExternalName` in interface `Routine`
  Returns:
    the value of the 'External Name' attribute.
  See Also:
    `Routine.setExternalName(String)`, `SQLRoutinesPackage.getRoutine_ExternalName()`

### setExternalName

    public void setExternalName(java.lang.String newExternalName)

  Specified by:
    `setExternalName` in interface `Routine`
  Parameters:
    `newExternalName` - the new value of the 'External Name' attribute.
  See Also:
    `Routine.getExternalName()`

### getParameters

    public EList getParameters()

  Specified by:
    `getParameters` in interface `Routine`
  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `SQLRoutinesPackage.getRoutine_Parameters()`, `Parameter.getRoutine()`

### getInputParameters

    public EList getInputParameters()

  Gets a list of IN and INOUT parameters associated with this routine.

  Specified by:
    `getInputParameters` in interface `Routine`
  Returns:
    a list of IN and INOUT parameters associated with this routine.

### getOutputParameters

    public EList getOutputParameters()

  Gets a list of OUT and INOUT parameters associated with this routine.

  Specified by:
    `getOutputParameters` in interface `Routine`
  Returns:
    a list of OUT and INOUT parameters associated with this routine.

### getSource

    public Source getSource()

  Specified by:
    `getSource` in interface `Routine`
  Returns:
    the value of the 'Source' containment reference.
  See Also:
    `Routine.setSource(Source)`, `SQLRoutinesPackage.getRoutine_Source()`

### basicSetSource

    public NotificationChain basicSetSource(Source newSource,
                                            NotificationChain msgs)

### setSource

    public void setSource(Source newSource)

  Specified by:
    `setSource` in interface `Routine`
  Parameters:
    `newSource` - the new value of the 'Source' containment reference.
  See Also:
    `Routine.getSource()`

### getSchema

    public Schema getSchema()

  Specified by:
    `getSchema` in interface `Routine`
  Returns:
    the value of the 'Schema' reference.
  See Also:
    `Routine.setSchema(Schema)`, `SQLRoutinesPackage.getRoutine_Schema()`, `Schema.getRoutines()`

### basicGetSchema

    public Schema basicGetSchema()

### basicSetSchema

    public NotificationChain basicSetSchema(Schema newSchema,
                                            NotificationChain msgs)

### setSchema

    public void setSchema(Schema newSchema)

  Specified by:
    `setSchema` in interface `Routine`
  Parameters:
    `newSchema` - the new value of the 'Schema' reference.
  See Also:
    `Routine.getSchema()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.